2

I want to install reaver and the error I am getting is:

checking for gcc... gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking for pcap_open_live in -lpcap... no
error: pcap library not found!

I have tried the following command already:

sudo apt-get install sqlite3 libsqlite3 libsqlite3-dev libcap-dev 

and I got:

Unable to locate package libsqlite3

while all the other packages were installed successfully.

1

In Ubuntu 14.04 and Ubuntu 14.10, libsqlite3-0, not libsqlite3, is a dependency of reaver, and libpcap0.8 is also a dependency of reaver. In Ubuntu 10.04 and Ubuntu 12.04 there is not a package called libsqlite3, but there is a package called libsqlite3-0. Open the terminal and type:

sudo apt-get install libsqlite3-0 libpcap0.8  

In Ubuntu 14.04 and later, the reaver package is available in the default Ubuntu repositories.

In Ubuntu 12.04 if you run the above command then you will have installed all the dependencies you need to install the reaver package from the Ubuntu 14.04 repositories in Ubuntu 12.04. Visit the Package: reaver (1.4-2) webpage, select the version of reaver that matches your operating system's architecture, and manually download the reaver .deb file. Then double click the reaver .deb file that you downloaded to open it for installation in the Ubuntu Software Center. In Ubuntu 12.04 run the following command to prevent reaver from being automatically installed, upgraded or removed.

sudo apt-mark hold reaver  
  • i installed both of them and still i am getting same error. – explorer Jan 5 '15 at 8:32
  • I've got the idea that you are trying to install reaver from a PPA and the extra packages that you added to your software sources from the PPA are causing dependency issues when trying to install reaver. Installing reaver couldn't be easier, it is found in the Ubuntu Software Center, just click the Install button. If a PPA is causing your problem, I suggest that you remove that PPA from your software sources. – karel Jan 5 '15 at 8:40
  • In 12.04, i can't find reaver in the ubuntu software center. – explorer Jan 5 '15 at 8:44
  • Now I get it. Reaver is only in the Ubuntu Software Center for Ubuntu 14.04 and Ubuntu 14.10. But if you have already installed libsqlite3-0 and libpcap0.8, then you have all the dependencies installed that you need to manually download the reaver package for Ubuntu 14.04 and install it in Ubuntu 12.04. See my answer for the instructions for doing this. – karel Jan 5 '15 at 8:57
  • Thanks a lot.. I upgraded to 14.04 and i was able to install reaver from synaptic. Thanks a ton :) – explorer Jan 6 '15 at 14:11
3

You actually installed libcap-dev when you wanted

 sudo apt-get install libpcap-dev 

Edit: as for libsqlite

 sudo apt-get install libsqlite3-0 

Or you can just do

 sudo apt-get install libsqlite3-dev
  • I installed these libraries too and still i am getting the same error. – explorer Jan 5 '15 at 8:32
2

You'll need the following packages installed:

sudo apt-get install sqlite3 libsqlite3-dev libpcap0.8-dev

Then try ./configure again and you should be fine

0

On a Debian distro, I used:

./configure --with-pcap-lib=/usr/lib/i386-linux-gnu/ --with-pcap-inc=/usr/include/pcap/

after installing libpcap0.8-dev.

You can check where your actual pcap include and lib sit by using the command:

# dpkg --listfiles libpcap0.8-dev

NB: If you get ./base/pcap-snoop.c:52:21: fatal error: net/bpf.h: No such file or directory, just remove the faulty include.

Your Answer

By clicking "Post Your Answer", you acknowledge that you have read our updated terms of service, privacy policy and cookie policy, and that your continued use of the website is subject to these policies.

Not the answer you're looking for? Browse other questions tagged or ask your own question.